<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."hangman/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."hangman/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."hangman/locale/English.php";
}


opentable($locale['hgmn200']);
/*
#####################################################################
#                          PHP Hangman Game                         #
#                           Version 1.2.0                           #
#               2002,2003 0php.com - Free PHP Scripts              #
#####################################################################

#####################################################################
#                                                                   #
#  Author      :  0php.com                                          #
#  Created     :  July 12, 2002                                     #
#  Modified    :  March 22, 2004                                    #
#  E-mail      :  webmaster@0php.com                                #
#  Website     :  http://www.0php.com/                              #
#  License     :  FREE (GPL);  See Copyright and Terms below        #
#                                                                   #
#        Donations accepted via PayPal to webmaster@0php.com        #
#                                                                   #
#####################################################################

>> Copyright and Terms:

This software is copyright (C) 2002-2004 0php.com.  It is distributed
under the terms of the GNU General Public License (GPL).  Because it is licensed
free of charge, there is NO WARRANTY, it is provided AS IS.  The author can not
be held liable for any damage that might arise from the use of this software.
Use it at your own risk.

All copyright notices and links to 0PHP.com website MUST remain intact in the scripts and in the HTML for the scripts.

For more details, see http://www.0php.com/license_GNU_GPL.php (or http://www.gnu.org/).

>> Installation
Copy the PHP script and images to the same directory.  You can optionally edit the category and list of words/phrases to solve below.  You can also add additional characters to $additional_letters and/or $alpha if you want to use international (non-English) letters or other characters not included by default (see further instructions below for those).

To prevent Google from playing hangman, add the line below between <HEAD> and </HEAD>:
<META NAME="robots" CONTENT="NOINDEX,NOFOLLOW">


=======================================================================================*/


$Category = "Web Programming";

# list of words (phrases) to guess below, separated by new line
$list = "ERINNERUNG
VERLORENE LIEBE
WAHRSAGERIN
LAWINEN GEFAHR
REGENSCHAUER
STERNZEICHEN
ASTROLOGIE
KRONKORKEN
WILDSCHWEIN
UNTERRICHT
INTERNET
SCHULLEITER
EINER WIRD GEWINNEN
WASCHMASCHINE
SAHNETORTE
WAGENHEBER
LANDSCHAFT
FUSSBALL WELTMEISTERSCHAFT
WINTERSCHLUSS VERKAUF
DIE WILDEN SECHZIGER
NEUE DEUTSCHE WELLE
GEBURTSTAGSFEST
HERBSTBLTTER
TSUNAMI
GELDTASCHENRUBER
DER MIT DEM WOLF TANZT
DISCOTHEKENBETREIBER
LONGDRINK
FALSCHER HASE
PHOTOGRAPHIE
GOLDGRBER
HUNDEFNGER
AUTOBAHN VIGNETTE
WEIHNACHTSBAUM
NACHBARSCHAFTSHILFE
KING KONG
DEN SIE WISSEN NICHT WAS SIE TUN
NACHRICHTEN
FERNSEHKANLE
SEIFENOPERN
TIEFKHLGERICHTE
TOURISMUS
DISCOTHEK
BARBESITZER
KLINGELTON
ZUCKERBCKER
HERR DER RINGE
WIR SIND HELDEN
TITANIC
SCHIFFAHRTSGESELLSCHAFT
COMPUTERABSTURZ
VORSTANDSSPRECHER
MAGAZIN
ZUFALL
CYBERSEX
KONTAKTANZEIGEN
KOSTENPFLICHTIG
KREDITKARTE
EISENBAHN
WIRRUNGEN
FAMILIENLEBEN
ATLANTIK
TYPENVIELFALT
ZUGBEGLEITERINNEN
HOCHSOMMERTAG
KRATZER
ARBEITSINSTRUMENT
SERVERSTEUERUNG
AUSBLICK
NASENSCHLEIM
GANGSCHALTUNG
OPFER
REIS
ESSSTAEBCHEN
LIEGESTUHL
WASSERMELONE
STROHHALM
LAWINE
WEINTRAUBE
DATENVERARBEITUNG
PORZELLAN
AKTIE
QUALLE
KORREKTUR
MARATHONLAUF
PFERDERENNEN
ORCHESTER
NATURKATASTROPHE
ZINSSATZ
ADVENT
KAPITAL
POST
DATENBANK
NETZWERKUMGEBUNG
ZWISCHENZEIT
PFANNE
MAUSTASTE
HANDBUCH
ZUSAMMENSETZUNG
SHANGHAI
CHINA
VITAMINE
MAUS
FEUERWEHR
FUSSBALL
STRASSENLATERNE
PROTOKOLL
ELECTRONIK
LOKOMOTIVE
HILDESHEIM
BASEL
SCHWEIZ
KALENDER
DRUCKER
AUTOBAHN
BANGKOK
TELEFON
KREDITOR
BEARBEITUNG
ZYLINDERROLLENLAGER
SEGELFLUGZEUG
MOTORFLUGZEUG
FEUER
ANANAS
HANGMAN
HALLO
WEISSWEIN
OBERAFFENGEIL
SCHLAGERFORUM
KILOMETER
WURSTSALAT
WANDERGESELLE
NASHORNAUGEN
UNIKAT
WORT
POLIZEI
SCHWARZMARKT
PENISOPERATION
TAKTFRQUENZ
LOEFFEL
MAISKOLBEN
MAUSZEIGER
UNSINN
DRUCKERANSCHLUS
BIER
BIERFASS
KAPODASTER
FAHRRADSATTELTASCHE
BUNDESRAT
TONIC
TATSACHE
ANGELA MERKEL
PUSTEKUCHEN
KIRSCHKERNWEITSPUCKWETTBEWERB
KOSTENVORANSCHLAG
COMPUTERDATENBANKZUSATZSPEICHER
DANKE
SPREEWALD
KINGSWAY
GOTT
ORAL
EPSONDRUCKER
BARBECUE
CHILICHIPS
HANDYGAME
HUEHNERSUPPE
ROCKY
EISTEE
ORCAWALE
OBERAFFENMEGAGEIL
SCHWANGERSCHAFTSKONFLIKTBERATUNG
KIRCHENOBERHAUPT
RABE
PARANOID
SCHWEINFURT
MORGENMUFFEL
SCHLAFWANDLER
BLIND
EGAL
FLUGZEUGGESCHWADER
FRAGESTUNDE
ALPHUETTENKAESE
MALERBETRIEB
ARZTHELFER
GLCK
BALLERMANN
PFERD
KJELSAS
NAME
DUMM
KLEINLAUT
KNOCHEN
BRECHEN
LACHEN
ENTSCHEIDUNG
ZEPPELIN
BALLON
HORIZONT
FRECHDAX
GESCHLECHTSVERKEHR
LIEBE
GEBORGENHEIT
REDEN
HAUS
BAUMSTAMM
ROTZNASE
WEIHNACHTSGESCHENK
KAFFEEMASCHINE
KAFFEESAHNE
AQUARIUM
AUTOSCHIEBERBANDE
WECHSELGELD
KELLNER
LIEBESBOTE
WRTERBUCH
MOSCHA
MONKA
KLAGENFURT
WETTEN DASS
YACHT
ZEBRA
SOMMERMRCHEN
TANZENBERG
CHRYSAMTHEME
THOMAS
COLUMBO
CHER
ENYA
AUTOBUS
OMNIBUS
KOFFERRAUM
STADTHALLE
RAHMSCHNITZEL
KRNTEN
TIROL
VORARLBERG
WIEN
BURGENLAND
NIEDERSTERREICH
OBERSTERREICH
SALZBURG
MIKRONESIEN
VADUZ
LIECHTENSTEIN
MOOS
GELD
STEUERBERATER
RECHTSANWALT
KABEL
WEIHNACHTSBAUM
CHRISTBAUMKUGEL
LICHTERKETTE
LAMPE
LEUCHTE
GUMMIBAND
SCHRANK
MARTINSFEUER
BROKLAMMER
SEGELBOOT
UNIVERSITT
KOPF
BEIN
ARM
HAND
FUSS
FINGER
DEUTSCHLAND
SPORT
BALL
DRAHTLOS
CHEF
PFADFINDER
FEUERMELDER
LEHRER
TAFEL
KLASSENZIMMER
STUHL
TOILETTE
TELEFONNUMMER
AUTOHNDLER
WERKSTATT
WASSER
MINERALWASSER
UHR
UHRZEIT
TR
TRKLINKE
BGEL
GESCHENK
HANDTASCHE
VENTILATOR
STROMZAEHLER
HEIZUNG
RCKEN
RCKENLEHNE
ESSEN
ABENDESSEN
WEIHNACHTSESSEN
SCHIEBETR
NEONRHRE
EDELGAS
PERIODENSYSTEM
ELEKTRON
NEUTRON
PROTON
UMLAUFBAHN
ENERGIE
STOCKWERK
FACHWERKHAUS
MARKT
VERKUFER
KREUZWORTRTSEL
INTERNET
TASSE
HANDCREME
HUND
KHLSCHRANK
TELLER
GABEL
MESSER
UNTERTASSE
BRETTCHEN
KABELBINDER
MEDIKAMENT
LEITER
FRAU
MANN
VIRUS
SCHORNSTEIN
DACH
ZIEGELSTEIN
ZIMT
ZUCKER
PFANNEKUCHEN
CREPES
MARMELADE
KONFITRE
SCHINKEN
WURST
BUTTER
NOTE
MUSIK
POSAUNE
TROMPETE
TUBA
GARTEN
STEIN
KARNEVAL
BUS
TERMINIERUNG
REIFEN
REIFENDRUCK
STROM
FLUSS
SEGEL
RUDER
RUDERBLATT
BAUM
MAST
BUG
BACKBORD
STEUERBORD
GITTER
GEFNGNIS
HFTLING
FEUERWEHRAUTO
POLIZEIAUTO
REISE
ZUG
BAHN
SCHIENE
MODELLBAU
FLUGZEUG
BUNDESWEHR
ZIVILDIENST
FEIERABEND
VORHNGESCHLOSS
BUCH
STERNSCHNUPPE
SSWWSSW
BOCKWURST
AUTOPILOT
TOLL
HUSTENSIRUP
SATZKONSTRUKTION
ENSEMBLE
WEINBERGSCHNECKE
HYPERSCHALLGESCHWINDIGKEIT
TEDDYBR
SEIDENPAPIER
ZWISCHENSUMME
PALTINIUM
HARRY
LASSO
SCHNUCKI
WEIHNACHTSSTERN
ZIMTSTERN
SCHATTENBILD
SCHADSTOFFBELASTUNG
PIRATENSCHIFF
POESIEALBUM
TASCHENRECHNER
STAMMBAUM
SCHAFHERDE
NUSSSTRUDEL
MAMMUT
BILDSCHIRM
ZUHAUSE
ZYSTE
ZELLKERN
DAMPFSCHIFFFAHRTGESELLSCHAFT
FUSSPILZ
NUMMERNSCHILD
STATISTIKEN
UNTERWASSERHHLE
STREICHHOLZSCHCHTELCHEN
KUNST
KARTEN
AUTOFACHWERKSTATT
WASCHMASCHINE
STROMKREIS
MAGNETISIERUNG
EMOTIONAL
MITTELALTER
RENAISSANCE
WASSERPISTOLE
FORSCHUGSINSTITUTION
HALLENFUSSBALL
WELTMEISTERSCHAFT
GITARRENMUSIK
HARFE
REISEFIEBER
HOCHZEITSKUTSCHE
LIEBESTRANK
GELDEINTREIBER
METAL
BUNDESTAG
FASZINATION
HEIRATSSCHWINDLER
MENSCH
HOFFNUNG
FREIHEIT
VERSTRKER
SAITE
KAFFEEHAUSMUSIK
MYSTERIS
VOLKSENTSCHEID
BANDPROBE
LIEDER
WORKSHOP
FOLKROCK
HEIDENTUM
WITZ
EINFACH
METALLICA
ZETTELWIRTSCHAFT
KATZENJAMMER
CHARAKTERISIERUNG
PORTEMONAIE
LACHKRAMPF";


# make sure that any characters to be used in $list are in either
#   $alpha OR $additional_letters, but not in both.  It may not work if you change fonts.
#   You can use either upper OR lower case of each, but not both cases of the same letter.

# below ($alpha) is the alphabet letters to guess from.
#   you can add international (non-English) letters, in any order, such as in:
#   $alpha = "ݟABCDEFGHIJKLMNOPQRSTUVWXYZ";
#   $alpha = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
$alpha = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";

# below ($additional_letters) are extra characters given in words; '?' does not work
#   these characters are automatically filled in if in the word/phrase to guess
$additional_letters = " -.,;!?%&0123456789";

#========= do not edit below here ======================================================


echo<<<endHTML
<HTML><HEAD><TITLE>Play PHP Hangman Game</TITLE>
<META NAME="DESCRIPTION" CONTENT="A Free PHP Script  www.0php.com">
<meta content="text/html; charset=windows-1252" http-equiv=content-type>
<meta http-equiv="Content-Style-Type" content="text/css">
</HEAD>

<BODY>
<DIV ALIGN="center">
endHTML;

$len_alpha = strlen($alpha);

if(isset($_GET["n"])) $n=isNum($_GET["n"]) ? $_GET["n"] : '';
if(isset($_GET["letters"])) $letters=stripinput($_GET["letters"]);
if(!isset($letters)) $letters="";

if(isset($PHP_SELF)) $self=$PHP_SELF;
else $self=$_SERVER["PHP_SELF"];

$links="";






$max=6;					# maximum number of wrong
# error_reporting(0);
$list = strtoupper($list);
$words = explode("\n",$list);
srand ((double)microtime()*1000000);
$all_letters=$letters.$additional_letters;
$wrong = 0;


if (!isset($n)) { $n = rand(1,count($words)) - 1; }
$word_line="";
$word = trim($words[$n]);
$done = 1;
for ($x=0; $x < strlen($word); $x++)
{
  if (strstr($all_letters, $word[$x]))
  {
    if ($word[$x]==" ") $word_line.="&nbsp; "; else $word_line.=$word[$x];
  }
  else { $word_line.="_<font size=1>&nbsp;</font>"; $done = 0; }
}

if (!$done)
{

  for ($c=0; $c<$len_alpha; $c++)
  {
    if (strstr($letters, $alpha[$c]))
    {
      if (strstr($words[$n], $alpha[$c])) {$links .= "\n<B>$alpha[$c]</B> "; }
      else { $links .= "\n<FONT color=\"red\">$alpha[$c] </font>"; $wrong++; }
    }
    else
    { $links .= "\n<A HREF=\"$self?letters=$alpha[$c]$letters&n=$n\">$alpha[$c]</A> "; }
  }
  $nwrong=$wrong; if ($nwrong>6) $nwrong=6;
  echo "\n<p><BR>\n<IMG SRC=\"images/hangman_$nwrong.gif\" ALIGN=\"MIDDLE\" BORDER=0 WIDTH=100 HEIGHT=100 ALT=\"".$locale['hgmn202']." $wrong ".$locale['hgmn203']." $max\">\n";

  if ($wrong >= $max)
  {
    $n++;
    if ($n>(count($words)-1)) $n=0;
    echo "<BR><BR><H1><font size=5>\n$word_line</font></H1>\n";
    echo "<p><BR><FONT color=\"red\"><BIG>".$locale['hgmn204']."</BIG></FONT><BR><BR>";
    if (strstr($word, " ")) $term="phrase"; else $term="Wort";
    echo "".$locale['hgmn205']." $term ".$locale['hgmn206']." \"<B>$word</B>\"<BR><BR>\n";
    echo "<A HREF=$self?n=$n>".$locale['hgmn207']."</A>\n\n";
  }
  else
  {
    echo " &nbsp; ".$locale['hgmn208']." <B>".($max-$wrong)."</B><BR>\n";
    echo "<H1><font size=5>\n$word_line</font></H1><br><br>\n";
    echo "Finde alle Buchstaben die sich im gesuchten Wort verstecken.<br>Ein falscher Buchstabe baut den Galgen ein Stck weiter..<br>";
    	  //Findest Du alle Buchstaben bevor Du gehngt wurdest werden Dir 10 Punkte gutgeschrieben, maximal aber 40 Punkte am Tag!<br>";
    echo "<P><BR>".$locale['hgmn209']."<BR><BR>\n";
    echo "$links\n";
  }
}
else
{
  $n++;	# get next word
  if ($n>(count($words)-1)) $n=0;
// konto hangman anfang ->

//Wie oft pro tag soll es Punkte geben:
$limit =4;
//Wieviele Punkte soll es pro Beitrag geben:
$punkte =10;


$date_1 = mktime(0,0,0,date("m,d,Y"));
$date_2 = mktime(23,59,59,date("m,d,Y"));

/*
$hangman_count = dbcount("(ku_id)", "konto_user", "user_id = '".$userdata['user_id']."'
AND ku_aktion = 'HM' AND ku_date_check >= $date_1 AND ku_date_check <= $date_2");

$result = dbquery("SELECT * FROM ".$db_prefix."konto_verwaltung");
$data = dbarray($result);

$result_ks = dbquery("SELECT * FROM ".$db_prefix."konto_statistik WHERE user_id = '".$userdata['user_id']."'");
$data_ks = dbarray($result_ks);

if ($limit > $hangman_count) {

$neu_ks = $data_ks['punkte']+$punkte;
$result = dbquery("INSERT INTO ".$db_prefix."konto_user (ku_id, user_id, ku_status, ku_aktion, ku_titel, ku_points, ku_date, ku_date_check)
VALUES ('', '".$userdata['user_id']."', 'P', 'HM', 'Hangman BN-".$userdata['user_id']."".time()."', '".$punkte."', '".date("Y-m-d")."', '".time()."')");

if($data_ks['user_id'] != ""){
mysql_query("UPDATE ".$db_prefix."konto_statistik SET punkte = $neu_ks WHERE user_id = '".$userdata['user_id']."'");
}else{
mysql_query("INSERT INTO ".$db_prefix."konto_statistik (user_id, punkte) VALUES ('".$userdata['user_id']."','$neu_ks')");
}

}
*/
// konto hangman ende <-
	//header("Location: ".INFUSIONS."hangman/hangman_win.php");
  echo "<BR><BR><H1><font size=5>\n$word_line</font></H1>\n";
  echo "<P><BR><BR><B>".$locale['hgmn210']." &nbsp; ".$locale['hgmn211']."</B><BR>\n";
  	//<BR>".$locale['hgmn212']." $punkte ".$locale['hgmn213']."</B><BR><B><BR>\n";
  echo "<A HREF=$self?n=$n>".$locale['hgmn207']."</A>\n\n";
}

echo<<<endHTML

</DIV></BODY></HTML>

endHTML;

closetable();
require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>